module base(paper_size = 150, height = 30) {
    thickness = 2;
    tolerance = 0.001;
    cube([paper_size + 2 * thickness, paper_size + 2*thickness, thickness]);
    module edge(length = paper_size) {
    cube([thickness, length,height]);
    }
    
    translate([0,0,thickness - tolerance])
    edge(paper_size + 2 *thickness);
    
    translate([thickness,thickness,thickness - tolerance])
    rotate([0,0,-90])
    edge();

    rotate([0,0,-90])
    translate([-paper_size - 2* thickness ,thickness,thickness - tolerance])
    edge();
}

base();